org.icefaces.ace.component.submitmonitor

## Interface ISubmitMonitor

- All Known Implementing Classes:
    SubmitMonitor, SubmitMonitorBase

      public interface ISubmitMonitor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getActiveLabel()`
    `java.lang.String` | `getBlockUI()`
    `java.lang.String` | `getFor()`
    `java.lang.String` | `getIdleLabel()`
    `java.lang.String` | `getNetworkErrorLabel()`
    `java.lang.String` | `getServerErrorLabel()`
    `java.lang.String` | `getSessionExpiredLabel()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.Boolean` | `isAutoCenter()`
    `java.lang.Boolean` | `isPreload()`
    `void` | `setActiveLabel(java.lang.String activeLabel)`
    `void` | `setAutoCenter(java.lang.Boolean autoCenter)`
    `void` | `setBlockUI(java.lang.String blockUI)`
    `void` | `setFor(java.lang.String For)`
    `void` | `setIdleLabel(java.lang.String idleLabel)`
    `void` | `setNetworkErrorLabel(java.lang.String networkErrorLabel)`
    `void` | `setPreload(java.lang.Boolean preload)`
    `void` | `setServerErrorLabel(java.lang.String serverErrorLabel)`
    `void` | `setSessionExpiredLabel(java.lang.String sessionExpiredLabel)`
    `void` | `setStyleClass(java.lang.String styleClass)`

- - ### Method Detail

    - #### setActiveLabel

          void setActiveLabel(java.lang.String activeLabel)

    - #### getActiveLabel

          java.lang.String getActiveLabel()

    - #### setAutoCenter

          void setAutoCenter(java.lang.Boolean autoCenter)

    - #### isAutoCenter

          java.lang.Boolean isAutoCenter()

    - #### setBlockUI

          void setBlockUI(java.lang.String blockUI)

    - #### getBlockUI

          java.lang.String getBlockUI()

    - #### setFor

          void setFor(java.lang.String For)

    - #### getFor

          java.lang.String getFor()

    - #### setIdleLabel

          void setIdleLabel(java.lang.String idleLabel)

    - #### getIdleLabel

          java.lang.String getIdleLabel()

    - #### setNetworkErrorLabel

          void setNetworkErrorLabel(java.lang.String networkErrorLabel)

    - #### getNetworkErrorLabel

          java.lang.String getNetworkErrorLabel()

    - #### setPreload

          void setPreload(java.lang.Boolean preload)

    - #### isPreload

          java.lang.Boolean isPreload()

    - #### setServerErrorLabel

          void setServerErrorLabel(java.lang.String serverErrorLabel)

    - #### getServerErrorLabel

          java.lang.String getServerErrorLabel()

    - #### setSessionExpiredLabel

          void setSessionExpiredLabel(java.lang.String sessionExpiredLabel)

    - #### getSessionExpiredLabel

          java.lang.String getSessionExpiredLabel()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.